{"openapi":"3.0.1","info":{"title":"","version":"1.0.0"},"servers":[{"url":"https://api.ligazakon.net/contragent-external/CaDossier/v1.0"}],"tags":[],"paths":{"/{id}":{"get":{"tags":["cadossier"],"summary":"Получить досье контрагента по id","description":"Только юр. лица","operationId":"getDossier","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"ClientSecret","in":"header","description":"Секретный ключ клиента (для вызовов генерируемых от серверной части)","required":true,"schema":{}},{"name":"Authorization","in":"header","description":"Токен идентифицирующий пользователя","schema":{}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Досье"}}}},"406":{"description":"Не доступно для ФОПов","content":{}},"500":{"description":"Internal error without additional info.","content":{}},"457":{"description":"Пустой ClientSecret клиента","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebExceptionInfo"}}}},"458":{"description":"Неверный ClientSecret клиента","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebExceptionInfo"}}}},"451":{"description":"Неизвестный клиент","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebExceptionInfo"}}}},"456":{"description":"Доступ к указанному api запрещен","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebExceptionInfo"}}}}}}},"/uk/{id}":{"get":{"tags":["cadossieruk"],"summary":"Get dossier/basic company info","operationId":"getDossier_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"ClientSecret","in":"header","description":"Секретный ключ клиента (для вызовов генерируемых от серверной части)","required":true,"schema":{}},{"name":"Authorization","in":"header","description":"Токен идентифицирующий пользователя","schema":{}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UK company dossier"}}}},"500":{"description":"Internal error without additional info.","content":{}},"457":{"description":"Пустой ClientSecret клиента","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebExceptionInfo"}}}},"458":{"description":"Неверный ClientSecret клиента","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebExceptionInfo"}}}},"451":{"description":"Неизвестный клиент","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebExceptionInfo"}}}},"456":{"description":"Доступ к указанному api запрещен","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebExceptionInfo"}}}}}}}},"components":{"schemas":{"Kved":{"type":"object","properties":{"name":{"type":"string"},"primary":{"type":"boolean"}}},"Владельцы":{"type":"object","properties":{"year":{"type":"integer","description":"Год","format":"int32"},"quart":{"type":"integer","description":"Квартальная нумерация","format":"int32"},"legalId":{"type":"string","description":"Код ЕГРПОУ"},"name":{"type":"string","description":"Название страны"},"nominalValue":{"type":"number","description":"Номинальная стоимость","format":"double"},"quantity":{"type":"string","description":"Количество акций"},"share":{"type":"string","description":"Процентное соотношение"}}},"Государственная регистрация":{"type":"object","properties":{"date":{"type":"integer","description":"Дата регистрации","format":"int64"},"division":{"type":"boolean","description":"Является ли отделением"},"merge":{"type":"boolean","description":"Является ли совместным"},"separation":{"type":"boolean","description":"Является ли подразделением"},"transformation":{"type":"boolean","description":"Подвергалось ли структурным изменениям"},"recordDate":{"type":"integer","description":"Дата записи","format":"int64"},"recordNumber":{"type":"string","description":"Номер записи"}}},"Долг по уплате ЕСВ":{"type":"object","properties":{"fiskOrg":{"type":"string","description":"Местоположеие фискальной службы"},"dateMilli":{"type":"integer","description":"Дата в мс","format":"int64"},"formattedDate":{"type":"string","description":"Дата состояния"},"sum":{"type":"number","description":"Сумма долга","format":"double"}}},"Единый реестр должников":{"type":"object","properties":{"debtorName":{"type":"string","description":"Наименование должника"},"emailAddr":{"type":"string","description":"Email"},"empFullFio":{"type":"string","description":"Полное ФИО"},"inRegister":{"type":"boolean","description":"Признак регистрации в базе"},"orgPhone":{"type":"string","description":"Телефон организации"},"publisher":{"type":"string","description":"Орган внесения в единый реестр"},"vpOrderNum":{"type":"string","description":"Номер исполнительного производства"},"vdCat":{"type":"string","description":"Категория взыскания"},"empOrg":{"type":"string","description":"Исполнитель"}}},"Задолженность по заработной плате":{"type":"object","properties":{"debt":{"type":"string","description":"Общая сумма задолженности"},"amountSoleProprietors":{"type":"string","description":"Количество индивидуальных предпринимателей"}}},"Инфо. из автоматизированной системы исполнительного производства":{"type":"object","properties":{"totalCount":{"type":"integer","description":"Общее количество производств","format":"int32"},"openedCount":{"type":"integer","description":"Количество открытых производств","format":"int32"}}},"Информация об аннулировании регистрации плательщиков НДС":{"type":"object","properties":{"datAnul":{"type":"integer","description":"Дата анулювання реєстрації платника пдв","format":"int64"},"nameAnul":{"type":"string","description":"Причина анулювання"},"nameOper":{"type":"string","description":"Назва рішення"},"getdAnulSg":{"type":"integer","description":"Дата анулювання реєстрації як суб’єкта спеціального режиму оподаткування","format":"int64"},"getdVatSg":{"type":"integer","description":"Дата реєстрації індивідуального податкового номера","format":"int64"}}},"КБВ юридичної особи":{"type":"object","properties":{"personId":{"type":"string","description":"ID"},"name":{"type":"string","description":"Имя"},"address":{"type":"string","description":"Адрес"},"interest":{"type":"number","description":"Відсоток частки статутного капіталу або відсоток права голосу","format":"double"},"legalId":{"type":"string","description":"ОКПО(если бенефициар юр. лицо)"},"beneficiaryType":{"type":"string","description":"Тип бенефіцарного володіння"},"role":{"type":"string","description":"Роль по відношенню до пов’язаного суб’єкта"}}},"Налоговый долг":{"type":"object","properties":{"date":{"type":"integer","description":"Дата","format":"int64"},"state":{"type":"number","description":"Состояние","format":"double"},"sumLocal":{"type":"number","description":"Сумма","format":"double"},"fiskOrg":{"type":"string","description":"Фискальная служба"},"director":{"type":"string","description":"Директор"},"nameFull":{"type":"string","description":"Полное название"},"name":{"type":"string","description":"Название"},"id":{"type":"integer","format":"int64"},"new":{"type":"boolean"}}},"Направление деятельности":{"type":"object","properties":{"address":{"type":"string","description":"Адрес"},"activity":{"type":"string","description":"Перечисление деятельности"},"phones":{"uniqueItems":true,"type":"array","description":"Список телефонов","items":{"type":"string"}},"faxes":{"uniqueItems":true,"type":"array","description":"Факсы","items":{"type":"string"}},"emails":{"uniqueItems":true,"type":"array","description":"Emails","items":{"type":"string"}},"webSites":{"uniqueItems":true,"type":"array","description":"Websites","items":{"type":"string"}},"empty":{"type":"boolean"}}},"Персонал":{"type":"object","properties":{"count":{"type":"string","description":"Количество"},"date":{"type":"integer","description":"Дата состояния","format":"int64"}}},"Плательщик НДС":{"type":"object","properties":{"vatNum":{"type":"string","description":"Індивідуальний податковий номер платника ПДВ (ІПН)"},"svdDate":{"type":"integer","description":"Дата внесення запису про види діяльності","format":"int64"},"termDateLong":{"type":"integer","format":"int64"},"regDate":{"type":"integer","format":"int64"}}},"Регистрация в РФ":{"type":"object","properties":{"name":{"type":"string","description":"Название"},"ogrn":{"type":"string","description":"Основной государственный регистрационный номер"},"inn":{"type":"string","description":"Идентификационный номер налогоплательщика"},"date":{"type":"integer","description":"Дата","format":"int64"}}},"Реестр крупных налогоплательщиков":{"type":"object","properties":{"inRegister":{"type":"boolean","description":"Признак регистрации в реестре"}}},"Реестр неприбыльных учреждений и организаций":{"type":"object","properties":{"getdRish":{"type":"integer","description":"Дата решения","format":"int64"},"getnRish":{"type":"string","description":"Номер решения"},"gettRish":{"type":"string","description":"Тип решения"},"nonPr":{"type":"string","description":"Название кода неприбыльности"},"getcSTI":{"type":"string","description":"Код контролирующего органа"},"getdNonPr":{"type":"integer","description":"Дата присвоения признака неприбыльности или ее изменения","format":"int64"},"getdAnul":{"type":"integer","description":"Дата аннулирования","format":"int64"},"getdRishAnul":{"type":"integer","description":"Дата решения аннулирования","format":"int64"},"getnRishAnul":{"type":"string","description":"Номер решения аннулирования"},"getcNonPr":{"type":"string","description":"Код признака неприбыльности"},"getdRegNoPr":{"type":"integer","description":"Дата включения неприбыльной организации в Реестр","format":"int64"}}},"Реестр плательщиков акцизного налога от реализации топлива":{"type":"object","properties":{"regNumber":{"type":"integer","description":"Номер записи в Реестре","format":"int32"},"regDate":{"type":"integer","description":"Дата регистрации","format":"int64"},"anulDate":{"type":"integer","description":"Дата аннулирования","format":"int64"},"anulReason":{"type":"string","description":"Причина аннулирования"},"alcoSeller":{"type":"boolean","description":"Признак реализация спирта этилового"},"fuelSeller":{"type":"boolean","description":"Признак реализации топлива"}}},"Реестр плательщиков единого налога":{"type":"object","properties":{"date":{"type":"integer","description":"Дата (период) избрания или перехода на единый налог","format":"int64"},"rate":{"type":"integer","description":"Ставка","format":"int32"},"group":{"type":"integer","description":"Группа","format":"int32"}}},"Реестр получателей бюджетной дотации":{"type":"object","properties":{"name":{"type":"string","description":"Название получателя"},"dateInclude":{"type":"integer","description":"Датв включения в реестр","format":"int64"},"dateStart":{"type":"integer","description":"Дата начала получения дотации","format":"int64"},"kveds":{"type":"array","description":"Основной классификатор вида экономической деятельности","items":{"$ref":"#/components/schemas/Kved"}}}},"Руководители":{"type":"object","properties":{"personId":{"type":"string","description":"ID"},"name":{"type":"string","description":"Имя"},"role":{"type":"string","description":"Роль"},"restriction":{"type":"string","description":"Ограничение"},"appointmentDate":{"type":"integer","description":"Дата назначения","format":"int64"},"position":{"type":"string","description":"Посада"}}},"Санкции":{"type":"object","properties":{"dateBegin":{"type":"integer","description":"Дата початку дії","format":"int64"},"cancelOrderNum":{"type":"string","description":"Номер наказу на скасування санкції"},"dateCancel":{"type":"integer","description":"Дата скасування санкції","format":"int64"},"sanctionType":{"type":"string","description":"Тип санкции"}}},"Учредители":{"type":"object","properties":{"personId":{"type":"string","description":"ID"},"name":{"type":"string","description":"Имя"},"address":{"type":"string","description":"Адрес"},"capital":{"type":"number","description":"Уставной капитал","format":"double"},"legalId":{"type":"string","description":"ОКПО(если учредитель юр. лицо)"}}},"Досье":{"type":"object","properties":{"name":{"type":"string","description":"Полное наименование юр. лица"},"includeOlf":{"type":"boolean","description":"Включается организационно-правовая форма к юр. лицу"},"displayName":{"type":"string","description":"Название юр. лица"},"address":{"type":"string","description":"Адрес"},"legalId":{"type":"string","description":"Код ЕГРПОУ"},"currentState":{"type":"string","description":"Текущий статус объекта"},"modifyDate":{"type":"integer","description":"Дата обновления из ЕГР","format":"int64"},"opf":{"type":"string","description":"Организационно-правовая форма"},"kveds":{"type":"array","description":"Основной классификатор вида экономической деятельности","items":{"$ref":"#/components/schemas/Kved"}},"director":{"type":"string","description":"Директор"},"directorAppointmentDate":{"type":"integer","description":"Дата назначения директора","format":"int64"},"directorPersonId":{"type":"string","description":"Персональное ID директора"},"heads":{"type":"array","description":"Данные о руководителях","items":{"$ref":"#/components/schemas/Руководители"}},"founders":{"type":"array","description":"Учредители","items":{"$ref":"#/components/schemas/Учредители"}},"owners":{"type":"array","description":"Владельцы крупных пакетов акций","items":{"$ref":"#/components/schemas/Владельцы"}},"registration":{"$ref":"#/components/schemas/Государственная регистрация"},"capital":{"type":"number","description":"Уставной капитал","format":"double"},"staff":{"$ref":"#/components/schemas/Персонал"},"taxCode":{"type":"string","description":"Код налоговой"},"esvDebt":{"$ref":"#/components/schemas/Долг по уплате ЕСВ"},"taxDebt":{"$ref":"#/components/schemas/Налоговый долг"},"vatInfo":{"$ref":"#/components/schemas/Плательщик НДС"},"vatCancelInfo":{"$ref":"#/components/schemas/Информация об аннулировании регистрации плательщиков НДС"},"singleTaxPayerRegister":{"$ref":"#/components/schemas/Реестр плательщиков единого налога"},"noProfitOrgRegister":{"$ref":"#/components/schemas/Реестр неприбыльных учреждений и организаций"},"obdRegister":{"$ref":"#/components/schemas/Реестр получателей бюджетной дотации"},"akpRegister":{"$ref":"#/components/schemas/Реестр плательщиков акцизного налога от реализации топлива"},"salArrRegister":{"$ref":"#/components/schemas/Задолженность по заработной плате"},"btpRegister":{"$ref":"#/components/schemas/Реестр крупных налогоплательщиков"},"russianReg":{"$ref":"#/components/schemas/Регистрация в РФ"},"debtorRegister":{"type":"array","description":"Единый реестр должников","items":{"$ref":"#/components/schemas/Единый реестр должников"}},"commercialInfo":{"$ref":"#/components/schemas/Направление деятельности"},"enforcementProceedings":{"$ref":"#/components/schemas/Инфо. из автоматизированной системы исполнительного производства"},"bankStructuralDivisionsTotal":{"type":"integer","description":"Количество структурных подразделений банка","format":"int32"},"sanctions":{"type":"array","description":"Санкции","items":{"$ref":"#/components/schemas/Санкции"}},"opfSubType":{"type":"string","description":"Тип ОПФ"},"beneficiaries":{"type":"array","description":"Бенефициары","items":{"$ref":"#/components/schemas/КБВ юридичної особи"}},"missingBeneficiariesReason":{"type":"string","description":"Причина відсутності КБВ (якщо у юридичної особи відсутні КБВ)"}}},"Address":{"type":"object","properties":{"careOf":{"type":"string","description":"Care of name."},"poBox":{"type":"string","description":"The post-office box number."},"firstLine":{"type":"string","description":"The first line of the address."},"secondLine":{"type":"string","description":"The second line of the address."},"locality":{"type":"string","description":"The locality e.g London."},"county":{"type":"string","description":"The region e.g Surrey."},"country":{"type":"string","description":"The country."},"postCode":{"type":"string","description":"The postal code e.g CF14 3UZ."},"premises":{"type":"string","description":"The property name or number."}}},"Annual return information.":{"type":"object","properties":{"nextDueDate":{"type":"integer","description":"The name of the company.","format":"int64"},"lastMadeUpDate":{"type":"integer","description":"The date the next annual return is due.","format":"int64"}}},"Company accounts information.":{"type":"object","properties":{"accountingRefDay":{"type":"integer","description":"The Accounting Reference Date (ARD) day.","format":"int32"},"accountingRefMonth":{"type":"integer","description":"The Accounting Reference Date (ARD) month.","format":"int32"},"nextDueDate":{"type":"integer","description":"The date the next company accounts are due.","format":"int64"},"lastMadeUpDate":{"type":"integer","description":"The date the next company accounts should be made up to.","format":"int64"},"type":{"type":"string","description":"The type of the last company accounts filed. e.g. dormant/group/medium"}}},"Confirmation statement information.":{"type":"object","properties":{"nextDueDate":{"type":"integer","description":"The date by which the next confimation statement must be received.","format":"int64"},"lastMadeUpDate":{"type":"integer","description":"The date to which the company last made a confirmation statement.","format":"int64"}}},"Limited partnerships":{"type":"object","properties":{"generalPartnersNumber":{"type":"integer","description":"The number of general partners","format":"int32"},"limitedPartnersNumber":{"type":"integer","description":"The number of limited partners","format":"int32"}}},"Mortgages information.":{"type":"object","properties":{"charges":{"type":"integer","description":"The number of mortgages charges","format":"int32"},"outstanding":{"type":"integer","description":"The number of outstanding mortgages","format":"int32"},"partSatisfied":{"type":"integer","description":"The number of partially satisfied mortgages","format":"int32"},"satisfied":{"type":"integer","description":"The number of satisfied mortgages","format":"int32"}}},"UK company dossier":{"type":"object","properties":{"name":{"type":"string","description":"The name of the company."},"companyNumber":{"type":"string","description":"The number of the company."},"category":{"type":"string","description":"The category/type of the company.(llp, eeig, plc, etc.)"},"status":{"type":"string","description":"The status of the company.(active, dissolved, etc.)"},"originCountry":{"type":"string","description":"Country in which company was incorporated."},"dissolutionDate":{"type":"integer","description":"The date which the company was converted/closed or dissolved. Please refer to company status to determine which.","format":"int64"},"incorporationDate":{"type":"integer","description":"The date when the company was created.","format":"int64"},"registeredOfficeAddress":{"$ref":"#/components/schemas/Address"},"accounts":{"$ref":"#/components/schemas/Company accounts information."},"annualReturns":{"$ref":"#/components/schemas/Annual return information."},"mortgages":{"$ref":"#/components/schemas/Mortgages information."},"limitedPartnerships":{"$ref":"#/components/schemas/Limited partnerships"},"confirmationStatement":{"$ref":"#/components/schemas/Confirmation statement information."},"sicCodes":{"type":"array","description":"SIC codes for this company.","items":{"type":"string"}}}},"WebExceptionInfo":{"type":"object","properties":{"error":{"type":"string"}}}}}}